import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntFilterObjectSchema as IntFilterObjectSchema } from './IntFilter.schema';
import { StringFilterObjectSchema as StringFilterObjectSchema } from './StringFilter.schema';
import { StringNullableFilterObjectSchema as StringNullableFilterObjectSchema } from './StringNullableFilter.schema';
import { DateTimeFilterObjectSchema as DateTimeFilterObjectSchema } from './DateTimeFilter.schema'

const insurancecontactscalarwhereinputSchema = z.object({
  AND: z.union([z.lazy(() => InsuranceContactScalarWhereInputObjectSchema), z.lazy(() => InsuranceContactScalarWhereInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => InsuranceContactScalarWhereInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => InsuranceContactScalarWhereInputObjectSchema), z.lazy(() => InsuranceContactScalarWhereInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  userId: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  name: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  phoneNumber: z.union([z.lazy(() => StringNullableFilterObjectSchema), z.string()]).optional().nullable(),
  createdAt: z.union([z.lazy(() => DateTimeFilterObjectSchema), z.coerce.date()]).optional()
}).strict();
export const InsuranceContactScalarWhereInputObjectSchema: z.ZodType<Prisma.InsuranceContactScalarWhereInput> = insurancecontactscalarwhereinputSchema as unknown as z.ZodType<Prisma.InsuranceContactScalarWhereInput>;
export const InsuranceContactScalarWhereInputObjectZodSchema = insurancecontactscalarwhereinputSchema;
